<?php
// Call in the XComponents engine and options file
define('MOD_PHP', substr(PHP_SAPI, 0, 3) != 'cgi'); // Are we running as mod_php?
define('DOCROOT', 
	MOD_PHP && isset($_SERVER['DOCUMENT_ROOT']) ? 
		$_SERVER['DOCUMENT_ROOT'] : 
		(
			MOD_PHP && isset($_SERVER['SCRIPT_FILENAME']) ? 
				substr($_SERVER['SCRIPT_FILENAME'], 0, 0-strlen($_SERVER['PHP_SELF'])) : 
				(
					substr(str_repeat('../', count(explode('/', preg_replace('_/+_', '/', $_SERVER['PHP_SELF'])))-2), 0, -1) != '' ?
						substr(str_repeat('../', count(explode('/', preg_replace('_/+_', '/', $_SERVER['PHP_SELF'])))-2), 0, -1) :
						'.'
				)
		)
	);
include(DOCROOT . '/dmx/dmx_options.php');
include(DOCROOT . '/dmx/core/php/dmx_shop_handler.php');
include(DOCROOT . '/dmx/core/php/dmx_shop_components.php');

// Abs code starts here

// Show service plan help the first three times the user reached this page
$abs_svcplanhelp = isset($_COOKIE['abs_svcplanhelp']) ? $_COOKIE['abs_svcplanhelp'] : 0;
if ($abs_svcplanhelp < 3)
{
	$abs_show_svcplanhelp = TRUE;
	$abs_svcplanhelp++;
	setcookie('abs_svcplanhelp', $abs_svcplanhelp, time() + 14 * 24 * 60 * 60); // Two weeks
}
else
{
	$abs_show_svcplanhelp = FALSE;
}

// Toolbar extras for page
$abs_toolbar_extras[] = array('href' => '#', 'onclick' => 'dmx.sidney.show_tariffguide();', 'text' => 'Show Full Tariff Guide');

$abs_root = '';
@include(DOCROOT . '/abs_version_control.php');
include(DOCROOT . $abs_root . '/common/header.php');

?>

<!-- MAIN CONTENT AREA -->
<div id="main_area" onmouseover="sub_menu_hide();">
	<div id="main_area_content">
		
<?php include($abs_adapt_body . 'svc_plan.php') ?>

	</div>
</div>
<!-- END MAIN CONTENT AREA -->

<?php abs_inc_fragment('sp_svc_plan_how_to'); ?>
<?php abs_inc_fragment('sp_feature_icon_key'); ?>
<?php include($abs_callcostexplorer); ?>
<?php include($abs_tariffguide); ?>
<?php include($abs_typinv); ?>

<?php if ($abs_show_svcplanhelp && FALSE) : ?>
	<script language="javascript">
	abs_show_sidepage('sp_1', 80, 370, 50);
	</script>
<?php endif; ?>
																									
<?php include(DOCROOT . $abs_root . '/common/footer.php'); ?>
